Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.el
Class ELResolverWrapper

    java.lang.Object
      javax.el.ELResolver
          org.richfaces.el.ELResolverWrapper

    public class ELResolverWrapper

extends javax.el.ELResolver

Since:
  3.3.0
Author:
  Nick Belaevski

Field Summary

Fields inherited from class javax.el.ELResolver
`RESOLVABLE_AT_DESIGN_TIME, TYPE`

Constructor Summary
`ELResolverWrapper(javax.el.ELResolver resolver)`

Method Summary
`Class<?>` | `getCommonPropertyType(javax.el.ELContext context, Object base)`
`Iterator<FeatureDescriptor>` | `getFeatureDescriptors(javax.el.ELContext context, Object base)`
`Class<?>` | `getType(javax.el.ELContext context, Object base, Object property)`
`Object` | `getValue(javax.el.ELContext context, Object base, Object property)`
`boolean` | `isReadOnly(javax.el.ELContext context, Object base, Object property)`
`void` | `setValue(javax.el.ELContext context, Object base, Object property, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ELResolverWrapper

    public ELResolverWrapper(javax.el.ELResolver resolver)

Method Detail

### getCommonPropertyType

    public Class<?> getCommonPropertyType(javax.el.ELContext context,
                                          Object base)

  Specified by:
    `getCommonPropertyType` in class `javax.el.ELResolver`
  Parameters:
    `context` -
    `base` -
  Returns:
  See Also:
    `ELResolver.getCommonPropertyType(javax.el.ELContext, java.lang.Object)`

### getFeatureDescriptors

    public Iterator<FeatureDescriptor> getFeatureDescriptors(javax.el.ELContext context,
                                                             Object base)

  Specified by:
    `getFeatureDescriptors` in class `javax.el.ELResolver`
  Parameters:
    `context` -
    `base` -
  Returns:
  See Also:
    `ELResolver.getFeatureDescriptors(javax.el.ELContext, java.lang.Object)`

### getType

    public Class<?> getType(javax.el.ELContext context,
                            Object base,
                            Object property)

  Specified by:
    `getType` in class `javax.el.ELResolver`
  Parameters:
    `context` -
    `base` -
    `property` -
  Returns:
  See Also:
    `ELResolver.getType(javax.el.ELContext, java.lang.Object, java.lang.Object)`

### getValue

    public Object getValue(javax.el.ELContext context,
                           Object base,
                           Object property)

  Specified by:
    `getValue` in class `javax.el.ELResolver`
  Parameters:
    `context` -
    `base` -
    `property` -
  Returns:
  See Also:
    `ELResolver.getValue(javax.el.ELContext, java.lang.Object, java.lang.Object)`

### isReadOnly

    public boolean isReadOnly(javax.el.ELContext context,
                              Object base,
                              Object property)

  Specified by:
    `isReadOnly` in class `javax.el.ELResolver`
  Parameters:
    `context` -
    `base` -
    `property` -
  Returns:
  See Also:
    `ELResolver.isReadOnly(javax.el.ELContext, java.lang.Object, java.lang.Object)`

### setValue

    public void setValue(javax.el.ELContext context,
                         Object base,
                         Object property,
                         Object value)

  Specified by:
    `setValue` in class `javax.el.ELResolver`
  Parameters:
    `context` -
    `base` -
    `property` -
    `value` -
  See Also:
    `ELResolver.setValue(javax.el.ELContext, java.lang.Object, java.lang.Object, java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.